Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Interface JobConfigurable

All Known Subinterfaces:
  ILocalAnalysis<K,V>, Mapper<K1,V1,K2,V2>, MapRunnable<K1,V1,K2,V2>, Partitioner<K2,V2>, Reducer<K2,V2,K3,V3>

All Known Implementing Classes:
  ChainMapper, ChainReducer, DataJoinMapperBase, DataJoinReducerBase, DBInputFormat, DelegatingMapper, DistributedPentomino.PentMap, FieldSelectionMapReduce, HashPartitioner, IdentityLocalAnalysis, IdentityMapper, IdentityReducer, IndexUpdateCombiner, IndexUpdateMapper, IndexUpdatePartitioner, IndexUpdateReducer, InverseMapper, JobBase, KeyFieldBasedComparator, KeyFieldBasedPartitioner, KeyValueTextInputFormat, LineDocLocalAnalysis, LongSumReducer, MapReduceBase, MapRunner, MultiFileWordCount.MapClass, MultithreadedMapRunner, NLineInputFormat, PiEstimator.PiMapper, PiEstimator.PiReducer, PipeCombiner, PipeMapper, PipeMapRunner, PipeReducer, RegexMapper, SleepJob, StreamInputFormat, TeraGen.SortGenMapper, TextInputFormat, TokenCountMapper, TotalOrderPartitioner, ValueAggregatorCombiner, ValueAggregatorJobBase, ValueAggregatorMapper, ValueAggregatorReducer

    public interface JobConfigurable

That what may be configured.

Method Summary
`void` | `configure(JobConf job)` Initializes a new instance from a `JobConf`.

Method Detail

### configure

    void configure(JobConf job)

  Initializes a new instance from a `JobConf`.

  Parameters:
    `job` - the configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation